POST gls/api/reports/statement-income-expense

Request Information

URI Parameters

None.

Body Parameters

StatementIncomeExpenseRequestDto
NameDescriptionTypeAdditional information
ProcessMonth

integer

None.

ProcessYear

integer

None.

AuxCodeFrom

string

None.

AuxCodeTo

string

None.

IsIncomeAccounts

boolean

None.

IsExpenseAccounts

boolean

None.

IsIncomeAndExpense

boolean

None.

IsAsOf

boolean

None.

IsMonthly

boolean

None.

SpreadPerAccount

boolean

None.

WithoutAuxiliary

boolean

None.

OutputToScreen

boolean

None.

OutputToPrinter

boolean

None.

UserId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "processMonth": 1,
  "processYear": 2,
  "auxCodeFrom": "sample string 3",
  "auxCodeTo": "sample string 4",
  "isIncomeAccounts": true,
  "isExpenseAccounts": true,
  "isIncomeAndExpense": true,
  "isAsOf": true,
  "isMonthly": true,
  "spreadPerAccount": true,
  "withoutAuxiliary": true,
  "outputToScreen": true,
  "outputToPrinter": true,
  "userId": 1
}

application/xml, text/xml

Sample:
<StatementIncomeExpenseRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO">
  <AuxCodeFrom>sample string 3</AuxCodeFrom>
  <AuxCodeTo>sample string 4</AuxCodeTo>
  <IsAsOf>true</IsAsOf>
  <IsExpenseAccounts>true</IsExpenseAccounts>
  <IsIncomeAccounts>true</IsIncomeAccounts>
  <IsIncomeAndExpense>true</IsIncomeAndExpense>
  <IsMonthly>true</IsMonthly>
  <OutputToPrinter>true</OutputToPrinter>
  <OutputToScreen>true</OutputToScreen>
  <ProcessMonth>1</ProcessMonth>
  <ProcessYear>2</ProcessYear>
  <SpreadPerAccount>true</SpreadPerAccount>
  <UserId>1</UserId>
  <WithoutAuxiliary>true</WithoutAuxiliary>
</StatementIncomeExpenseRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.